{
  config,
  lib,
  pkgs,
  ...
}:
{
  hardware = {
    amdgpu.overdrive = {
      enable = true;
      ppfeaturemask = "0xffffffff";
    };
    firmware = [
      pkgs.rtl8761b-firmware
    ];
    enableAllFirmware = true;
    cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
  };
}
